---
updatedAt: 2026-09-14T11:07:44.000Z
agentTools:
  projectIndex: https://docs.checkhq.com/llms.txt
---

# Company Previous Payroll Provider Access

Generates a Previous Payroll Provider Access component used to gain access to a company's previous provider for migration.

<Image align="center" src="https://files.readme.io/e80da393462027849d5c187ee8af5431fcdd73a3bb6060708f98d99653e8d358-ppac.gif" />

> ❗️ Slated for deprecation
>
> This component is only available with Check Embedded Setup, which is slated for deprecation on **January 1, 2027**. To collect a company's year-to-date pay history, integrate with the [Company Pay History](https://docs.checkhq.com/reference/company-pay-history) component instead. Reach out to Check with questions about migrating.

> 📘 Completion Event
>
> When embedded on your page, this component can be closed once the `check-component-previous-provider-access-complete` SDK event has been posted.

<br />

If `email` is provided, the user can regenerate a link sent to that email if the component link is expired.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "check-api",
    "version": "2025-01-01"
  },
  "servers": [
    {
      "url": "https://sandbox.checkhq.com"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "Authorization",
        "x-bearer-format": "bearer",
        "x-default": "YOUR_API_KEY"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/companies/{company}/components/previous_provider_access": {
      "post": {
        "summary": "Company Previous Payroll Provider Access",
        "description": "Generates a Previous Payroll Provider Access component used to gain access to a company's previous provider for migration.",
        "operationId": "previous-payroll-provider-access",
        "parameters": [
          {
            "name": "company",
            "in": "path",
            "description": "ID of the company for which an onboard link will be generated",
            "schema": {
              "type": "string"
            },
            "required": true
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "required": [
                  "signer_name",
                  "signer_title",
                  "email"
                ],
                "properties": {
                  "signer_name": {
                    "type": "string",
                    "description": "The name of the person who has permission to onboard on behalf of the company."
                  },
                  "signer_title": {
                    "type": "string",
                    "description": "The title of the person who has permission to onboard on behalf of the company (e.g. \"Officer\", \"Manager\", etc.)."
                  },
                  "email": {
                    "type": "string",
                    "description": "The email of the person who has permission to onboard on behalf of the company"
                  },
                  "signatory": {
                    "type": "string",
                    "description": "The ID of the signatory object for this company. You may use either a signatory ID or the three body params above"
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\"url\":\"{one_time_onboard_link}\"}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "url": {
                      "type": "string",
                      "example": "{one_time_onboard_link}"
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```